{ fetchFromGitLab
, stdenv
, cmake
, pkg-config
, opencv
, curl
, crow
, nlohmann_json
, mbedtls
, glib
, libsysprof-capture
, pcre2
, xorgserver
, libX11
, glm
, util-linux
, libselinux
, libsepol
, pipewire
, libXrandr
}:

stdenv.mkDerivation rec {
  pname = "huenicorn";
  version = "1.0.10";

  src = fetchFromGitLab {
    owner = "openjowelsofts";
    repo = pname;
    rev = "v${version}";
    sha256 = "sha256-d1M0JJLadHzOVK31Tz6fUTcGR2/0xVp2czoLynghcUM=";
  };

  nativeBuildInputs = [
    cmake
    pkg-config
    opencv
    curl
    crow
    nlohmann_json
    mbedtls
    glib
    libsysprof-capture
    pcre2
    xorgserver
    libX11
    glm
    util-linux
    libselinux
    libsepol
    pipewire
    libXrandr
  ];

  installPhase = ''
    mkdir -p $out/bin
    cp huenicorn $out/bin/
    cp -r webroot/ $out/bin
  '';
}
